org.springframework.batch.core.step.builder

## Class StepBuilderHelper.CommonStepProperties

- java.lang.Object
- - org.springframework.batch.core.step.builder.StepBuilderHelper.CommonStepProperties

- Enclosing class:
    StepBuilderHelper<B extends StepBuilderHelper<B>>

      public static class StepBuilderHelper.CommonStepProperties
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommonStepProperties()`
    `CommonStepProperties(StepBuilderHelper.CommonStepProperties properties)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addStepExecutionListener(StepExecutionListener stepExecutionListener)`
    `void` | `addStepExecutionListeners(java.util.List<StepExecutionListener> stepExecutionListeners)`
    `java.lang.Boolean` | `getAllowStartIfComplete()`
    `JobRepository` | `getJobRepository()`
    `java.lang.String` | `getName()`
    `java.lang.Integer` | `getStartLimit()`
    `java.util.List<StepExecutionListener>` | `getStepExecutionListeners()`
    `org.springframework.transaction.PlatformTransactionManager` | `getTransactionManager()`
    `void` | `setAllowStartIfComplete(java.lang.Boolean allowStartIfComplete)`
    `void` | `setJobRepository(JobRepository jobRepository)`
    `void` | `setName(java.lang.String name)`
    `void` | `setStartLimit(java.lang.Integer startLimit)`
    `void` | `setTransactionManager(org.springframework.transaction.PlatformTransactionManager transactionManager)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommonStepProperties

          public CommonStepProperties()

    - #### CommonStepProperties

          public CommonStepProperties(StepBuilderHelper.CommonStepProperties properties)

  - ### Method Detail

    - #### getJobRepository

          public JobRepository getJobRepository()

    - #### setJobRepository

          public void setJobRepository(JobRepository jobRepository)

    - #### getTransactionManager

          public org.springframework.transaction.PlatformTransactionManager getTransactionManager()

    - #### setTransactionManager

          public void setTransactionManager(org.springframework.transaction.PlatformTransactionManager transactionManager)

    - #### getName

          public java.lang.String getName()

    - #### setName

          public void setName(java.lang.String name)

    - #### getStepExecutionListeners

          public java.util.List<StepExecutionListener> getStepExecutionListeners()

    - #### addStepExecutionListeners

          public void addStepExecutionListeners(java.util.List<StepExecutionListener> stepExecutionListeners)

    - #### addStepExecutionListener

          public void addStepExecutionListener(StepExecutionListener stepExecutionListener)

    - #### getStartLimit

          public java.lang.Integer getStartLimit()

    - #### setStartLimit

          public void setStartLimit(java.lang.Integer startLimit)

    - #### getAllowStartIfComplete

          public java.lang.Boolean getAllowStartIfComplete()

    - #### setAllowStartIfComplete

          public void setAllowStartIfComplete(java.lang.Boolean allowStartIfComplete)